## -*- coding: utf-8 -*-
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%doc>
Base template for XHTML templates.
Copyright (c) 2009 Jan Dittberner <jan@dittberner.info>

This file is part of DDPortfolio service.

DDPortfolio service is free software: you can redistribute it and/or
modify it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

DDPortfolio service is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with this program.  If not, see
<http://www.gnu.org/licenses/>.
</%doc>
<html>
  <head>
    <title>${_('Debian Developer Portfolio Service')}${self.titleaddon()}</title>
    ${h.stylesheet_link(h.url_for('/stylesheets/style.css'))}
    ${self.extrahead()}
  </head>
  <body>
    <div id="header">
      ${h.image(h.url_for('/images/openlogo-100.jpg'), _('Debian Logo'), 100, 100,
      id='debianlogo')}
      <h1>${_('Debian Developer Portfolio Service')}</h1>
      <p>${_('''This service has been inspired by Stefano Zacchiroli's <a href="http://wiki.debian.org/DDPortfolio">DDPortfolio page in the Debian Wiki</a>. You can create a set of customized links leading to a Debian Developer's or package maintainer's information regarding Debian.''')}</p>
      <p><script type="text/javascript">
	var flattr_url = 'http://ddportfolio.debian.net/';
	var flattr_btn='compact';
</script>
<script src="http://api.flattr.com/button/load.js" type="text/javascript"></script></p>
    </div>
    <div id="content">
      ${self.body()}
    </div>
    <div id="footer">
      ${h.image(h.url_for('/images/agplv3-88x31.png'), _('AGPL - Free Software'), 88, 31,
      id='agpllogo')}
      <p>${_('''The service is available under the terms of the <a href="http://www.gnu.org/licenses/agpl.html">GNU Affero General Public License</a> as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. You can <a href="%s">download the source code</a> using <a href="http://git.or.cz">git</a>.''') % ('http://ddportfolio.debian.net/gitweb?p?ddportfolioservice.git;a=summary')}</p>
      <p>${_(u'''Copyright © 2009, 2010 Jan Dittberner''')}</p>
    </div>
  </body>
</html>
<%def name="extrahead()"></%def>
